# WOK
TKWOK
MS

# MS_SequenceOfType Class Reference

`#include <MS_SequenceOfType.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| MS_SequenceOfType ()
Standard_EXPORT void | Clear ()
| ~MS_SequenceOfType ()
Standard_EXPORT const MS_SequenceOfType & | Assign (const MS_SequenceOfType &Other)
const MS_SequenceOfType & | operator= (const MS_SequenceOfType &Other)
Standard_EXPORT void | Append (const Handle(MS_Type)&T)
void | Append (MS_SequenceOfType &S)
Standard_EXPORT void | Prepend (const Handle(MS_Type)&T)
void | Prepend (MS_SequenceOfType &S)
void | InsertBefore (const Standard_Integer Index, const Handle(MS_Type)&T)
void | InsertBefore (const Standard_Integer Index, MS_SequenceOfType &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Handle(MS_Type)&T)
void | InsertAfter (const Standard_Integer Index, MS_SequenceOfType &S)
Standard_EXPORT const Handle_MS_Type & | First () const
Standard_EXPORT const Handle_MS_Type & | Last () const
void | Split (const Standard_Integer Index, MS_SequenceOfType &Sub)
Standard_EXPORT const Handle_MS_Type & | Value (const Standard_Integer Index) const
const Handle_MS_Type & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(MS_Type)&I)
Standard_EXPORT Handle_MS_Type & | ChangeValue (const Standard_Integer Index)
Handle_MS_Type & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | MS_SequenceOfType (const MS_SequenceOfType &Other)

## Constructor & Destructor Documentation

MS_SequenceOfType::MS_SequenceOfType | ( |  | ) |

MS_SequenceOfType::~MS_SequenceOfType | ( |  | ) | `[inline]`

Standard_EXPORT MS_SequenceOfType::MS_SequenceOfType | ( | const MS_SequenceOfType & | Other | ) | `[private]`

## Member Function Documentation

void MS_SequenceOfType::Append | ( | MS_SequenceOfType & | S | ) |

Standard_EXPORT void MS_SequenceOfType::Append | ( | const Handle(MS_Type)& | T | ) |

Standard_EXPORT const MS_SequenceOfType& MS_SequenceOfType::Assign | ( | const MS_SequenceOfType & | Other | ) |

Standard_EXPORT Handle_MS_Type& MS_SequenceOfType::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MS_SequenceOfType::Clear | ( |  | ) |

Standard_EXPORT const Handle_MS_Type& MS_SequenceOfType::First | ( |  | ) | const

void MS_SequenceOfType::InsertAfter | ( | const Standard_Integer | Index,
|  | MS_SequenceOfType & | S
| ) |

Standard_EXPORT void MS_SequenceOfType::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle(MS_Type)& | T
| ) |

void MS_SequenceOfType::InsertBefore | ( | const Standard_Integer | Index,
|  | MS_SequenceOfType & | S
| ) |

void MS_SequenceOfType::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle(MS_Type)& | T
| ) |

Standard_EXPORT const Handle_MS_Type& MS_SequenceOfType::Last | ( |  | ) | const

void MS_SequenceOfType::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MS_SequenceOfType::operator new | ( | size_t | size | ) | `[inline]`

void* MS_SequenceOfType::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_MS_Type& MS_SequenceOfType::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_MS_Type& MS_SequenceOfType::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const MS_SequenceOfType& MS_SequenceOfType::operator= | ( | const MS_SequenceOfType & | Other | ) | `[inline]`

void MS_SequenceOfType::Prepend | ( | MS_SequenceOfType & | S | ) |

Standard_EXPORT void MS_SequenceOfType::Prepend | ( | const Handle(MS_Type)& | T | ) |

Standard_EXPORT void MS_SequenceOfType::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void MS_SequenceOfType::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MS_SequenceOfType::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(MS_Type)& | I
| ) |

void MS_SequenceOfType::Split | ( | const Standard_Integer | Index,
|  | MS_SequenceOfType & | Sub
| ) |

Standard_EXPORT const Handle_MS_Type& MS_SequenceOfType::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- MS_SequenceOfType.hxx